[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RGB2RGBPrimeFunctor Class Template Reference |
--- | --- | ---

Convert linear (raw) RGB into non-linear (gamma corrected) R'G'B'. More...

`#include "vigra/colorconversions.hxx"`

## Public Types
typedef TinyVector< From, 3 > | argument_type
typedef RGBValue< To > | result_type
typedef RGBValue< To > | value_type
typedef NumericTraits< To >::RealPromote | component_type
## Public Methods
| RGB2RGBPrimeFunctor ()
| RGB2RGBPrimeFunctor (component_type max)
template<class V> result_type | operator() (V const &rgb) const

## Detailed Description

### template<class From, class To = From>
class vigra::RGB2RGBPrimeFunctor< From, To >

Convert linear (raw) RGB into non-linear (gamma corrected) R'G'B'.

#include "vigra/colorconversions.hxx"
Namespace: vigra

The functor realizes the transformation

By default, . This default can be overridden in the constructor. If both source and target colors components are stored as `unsigned char`, a look-up-table will be used to speed up the transformation.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)``

## Member Typedef Documentation

typedef TinyVector<From, 3> argument_type

| the functor's argument type

typedef NumericTraits<To>::RealPromote component_type

| the result component's promote type

typedef RGBValue<To> result_type

| the functor's result type

typedef RGBValue<To> value_type

| Deprecated: use argument_type and result_type

## Constructor & Destructor Documentation

RGB2RGBPrimeFunctor | ( |  | ) | `[inline]`

| Default constructor. The maximum value for each RGB component defaults to 255

RGB2RGBPrimeFunctor | ( | component_type | max | ) | `[inline]`

| constructor max - the maximum value for each RGB component

## Member Function Documentation

result_type operator() | ( | V const & | rgb | ) | const`[inline]`

| apply the transformation

The documentation for this class was generated from the following file:

- vigra/colorconversions.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)